<template>
  <div class="podcasts-admin-panel" :class="{'panel-open': isEditing}">
    <div class="admin-buttons">
        <div v-wave class="btn" :class="{'btn-green': !isEditing, 'btn-red': isEditing}" @click="toggleEditing">{{!isEditing ? 'ערוך חומר' : 'הפסק עריכה'}}</div>
      </div>
    <div class="add-podcast-panel">
      <div class="text-shadow">הוסף פודקאסט</div>
      <div class="add-podcast-form">
        <label for="podname" class="text-shadow">הכנס שם</label>
        <input type="text" name="podname" class="podcast-input" v-model="podcastInfo.name">
        <label for="podlink" class="text-shadow">הכנס לינק Google Drive</label>
        <input type="text" name="podlink" class="podcast-input ltr" v-model="podcastInfo.link">
      </div>
      <div class="add-podcast-buttons">
        <div class="btn btn-green" @click="addPodcast">הוסף פודקאסט</div>
      </div>
    </div>
  </div>
</template>

<script>
import { addPodcast } from '../firebase.js'

export default {
  data() {
    return {
      podcastInfo: {
        name: '',
        link: ''
      }
    }
  },
  methods: {
    toggleEditing() {
      this.$store.state.isEditing = !this.isEditing
    },
    addPodcast() {
      if (this.podcastInfo.name != '' && this.podcastInfo.link != '') {
        addPodcast(this.podcastInfo.name, this.podcastInfo.link)
        this.podcastInfo = {
          name: '',
          link: ''
        }
      } else {
        alert('עליכם למלא שם ולינק על מנת להוסיף פודקאסט')
      }
    }
  },
  computed: {
    isEditing() {
      return this.$store.state.isEditing
    },
    isAdmin() {
      return this.$store.state.user != null
    }
  }
}
</script>

<style scoped>

.podcasts-admin-panel {
  text-align: center;
  overflow: hidden;
  --buttonPanelHeight: 5em;
  --addPanelHeight: 15em;
  height: var(--buttonPanelHeight);
  width: 100%;
  font-size: 1.5em;
  transition: height .3s;
}

.podcasts-admin-panel.panel-open {
  height: calc(var(--buttonPanelHeight) + var(--addPanelHeight) + 3em) !important;
}

.admin-buttons {
  margin: 2.25em;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}

.add-podcast-panel {
  margin: 0 auto;
  padding: 1em;
  height: var(--addPanelHeight);
  width: 60rem;
  max-width: 90%;
  border-radius: 1em;
  background: #fff;
  box-shadow: 0 0 .5em rgb(222, 222, 235);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

.add-podcast-panel > .text-shadow {
  margin: .2em 0;
  font-size: 1.5em;
  font-weight: bold;
  color: var(--blue);
}

.add-podcast-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.podcast-input {
  margin-bottom: .5em;
  border-radius: .2em;
  width: 100%;
  font-weight: bold;
  font-size: 1em;
  text-align: center;
  border: 1px solid #c4c4c4;
}

</style>